Skip to main content
GET
/
cost-of-energy
/
v1
/
profiles
/
{profile_id}
Get a profile
curl --request GET \
  --url https://api.engrate.io/cost-of-energy/v1/profiles/{profile_id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.engrate.io/cost-of-energy/v1/profiles/{profile_id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.engrate.io/cost-of-energy/v1/profiles/{profile_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_at": "2026-01-02T12:00:00Z",
  "description": "Nord Pool day-ahead prices for SE3.",
  "end_time": "2025-01-01T03:00:00+01:00",
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "name": "Hourly spot price SE3 2025",
  "resolution": "hourly",
  "scope": "org",
  "start_time": "2025-01-01T00:00:00+01:00",
  "tags": [
    "spot-price",
    "SE3"
  ],
  "unit": "SEK/kWh",
  "values": [
    0.45,
    0.52,
    0.38
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

Path Parameters

profile_id
string<uuid>
required

Query Parameters

max_resolution
enum<string> | null

Cap the resolution of the returned timeseries. If the profile's resolution is finer, values are downsampled to the target. If already at or coarser, returned as-is. Temporal resolution

Available resolutions

  • quarter_hourly — 15-minute resolution

  • hourly — 60-minute resolution

  • daily — Daily resolution in calendar days, not necessarily exactly 24 hours, depending on daylight savings etc

  • weekly — Weekly resolution in calendar weeks, not necessarily exactly 24 * 7 hours, depending on daylight savings etc

  • monthly — Monthly resolution in calendar months, taking into account things like daylight savings and leap year calculations

  • yearly — Annual resolution in calendar years, taking into account things like daylight savings and leap year calculations

Available options:
quarter_hourly,
hourly,
daily,
weekly,
monthly,
yearly

Response

Successful Response

Full profile including timeseries values.

created_at
string<date-time>
required

Timestamp when the profile was created.

end_time
string<date-time>
required

End of the timeseries period (exclusive).

id
string<uuid>
required

Unique identifier for the profile.

name
string
required

Human-readable name.

resolution
enum<string>
required

Temporal resolution of the values. May differ from native resolution if downsampled.

Available options:
quarter_hourly,
hourly,
daily,
weekly,
monthly,
yearly
scope
enum<string>
required

Whether this is a global profile or owned by an organization.

Available options:
global,
org
start_time
string<date-time>
required

Start of the timeseries period (inclusive).

tags
string[]
required

Tags for categorizing and filtering profiles.

unit
enum<string>
required

Unit of measurement for the values.

Available options:
A,
kV,
kW,
kWh,
hours,
SEK,
NOK,
EUR,
SEK_per_kWh,
SEK_per_kW,
NOK_per_kWh,
NOK_per_kW,
EUR_per_kWh,
EUR_per_kW,
%
values
(number | null)[]
required

Timeseries values aligned to the resolution and time range. null entries represent missing data points.

description
string | null

Optional description.